SAXFieldAdapter (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.xml

## Class SAXFieldAdapter

- java.lang.Object
- - org.objectweb.asm.FieldVisitor
  - - org.objectweb.asm.xml.SAXFieldAdapter

-     public final class SAXFieldAdapter
      extends FieldVisitor

  SAXFieldAdapter
  Author:
    Eugene Kuleshov

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.FieldVisitor

      `api, fv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXFieldAdapter(SAXAdapter sa, Attributes att)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)` Visits an annotation of the field.
    `void` | `visitEnd()` Visits the end of the field.
    `AnnotationVisitor` | `visitTypeAnnotation(int typeRef, TypePath typePath, String desc, boolean visible)` Visits an annotation on the type of the field.

    - ### Methods inherited from class org.objectweb.asm.FieldVisitor

      `visitAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXFieldAdapter

          public SAXFieldAdapter(SAXAdapter sa,
                         Attributes att)

  - ### Method Detail

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String desc,
                                          boolean visible)

      Description copied from class: `FieldVisitor`
      Visits an annotation of the field.
      Overrides:
        `visitAnnotation` in class `FieldVisitor`
      Parameters:
        `desc` - the class descriptor of the annotation class.
        `visible` - `true` if the annotation is visible at runtime.
      Returns:
        a visitor to visit the annotation values, or `null` if this visitor is not interested in visiting this annotation.

    - #### visitTypeAnnotation

          public AnnotationVisitor visitTypeAnnotation(int typeRef,
                                              TypePath typePath,
                                              String desc,
                                              boolean visible)

      Description copied from class: `FieldVisitor`
      Visits an annotation on the type of the field.
      Overrides:
        `visitTypeAnnotation` in class `FieldVisitor`
      Parameters:
        `typeRef` - a reference to the annotated type. The sort of this type reference must be `FIELD`. See `TypeReference`.
        `typePath` - the path to the annotated type argument, wildcard bound, array element type, or static inner type within 'typeRef'. May be `null` if the annotation targets 'typeRef' as a whole.
        `desc` - the class descriptor of the annotation class.
        `visible` - `true` if the annotation is visible at runtime.
      Returns:
        a visitor to visit the annotation values, or `null` if this visitor is not interested in visiting this annotation.

    - #### visitEnd

          public void visitEnd()

      Description copied from class: `FieldVisitor`
      Visits the end of the field. This method, which is the last one to be called, is used to inform the visitor that all the annotations and attributes of the field have been visited.
      Overrides:
        `visitEnd` in class `FieldVisitor`